<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(@!file_exists(BASE_DIR . '/class/Class.Poll.php') || !get_active('poll')) notActive();


include_once(BASE_DIR . '/class/Class.Poll.php');
$Poll = new Poll;

$_REQUEST['action'] = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
switch($_REQUEST['action'])
{
	case '':
		$Poll->GetCurrentPoll(@$_REQUEST['id']);
	break;
	
	case 'archive':
		$Poll->GetArchive();
	break;
	
	case 'smallpoll':
		define("AJAX_OUTPUT",1);
		$Poll->SmallPollResult(@$_REQUEST['polloption'],0,@$_REQUEST['intern']);
	break;	
}


?>